Subject: Re: [Bier] Bier chairs: please ask to publish draft-ietf-bier-te-arch-08.txt

From: Toerless Eckert <[email-masked]>
Date: Tue, 14 Jul 2020 01:30:01 +0200

Oops. Typo leading to mailing list not being included. Rsending

Dear BIER chairs

I have answered to Lou Berger, included his proposed Traffic Engineering text with minor changes
and posted that as BIER-TE 08 version.

In my opinion, the authors and the WG have  exhausted the work on this document
and i hereby are ask respectfully on behalf of the authors for the document to be moved
to request for publication so it can enter IETF/IESG review.

Thank you very much
    Toerless

> In-Reply-To: <[email-masked]>
> 
> On Mon, Jul 13, 2020 at 03:33:52PM -0700, [email-masked] wrote:
> 
> A new version of I-D, draft-ietf-bier-te-arch-08.txt
> has been successfully submitted by Toerless Eckert and posted to the
> IETF repository.
> 
> Name:		draft-ietf-bier-te-arch
> Revision:	08
> Title:		Tree Engineering for Bit Index Explicit Replication (BIER-TE)
> Document date:	2020-07-13
> Group:		bier
> Pages:		47
> URL:            https://www.ietf.org/internet-drafts/draft-ietf-bier-te-arch-08.txt
> Status:         https://datatracker.ietf.org/doc/draft-ietf-bier-te-arch/
> Htmlized:       https://tools.ietf.org/html/draft-ietf-bier-te-arch-08
> Htmlized:       https://datatracker.ietf.org/doc/html/draft-ietf-bier-te-arch
> Diff:           https://www.ietf.org/rfcdiff?url2=draft-ietf-bier-te-arch-08
> 
> Abstract:
>    This memo introduces per-packet stateless strict and loose path
>    steered replication and forwarding for Bit Index Explicit Replication
>    packets (RFC8279).  This is called BIER Tree Engineering (BIER-TE).
>    BIER-TE can be used as a path steering mechanism in future Traffic
>    Engineering solutions for BIER (BIER-TE).
> 
>    BIER-TE leverages RFC8279 and extends it with a new semantic for bits
>    in the bitstring.  BIER-TE can leverage BIER forwarding engines with
>    little or no changes.
> 
>    In BIER, the BitPositions (BP) of the packets bitstring indicate BIER
>    Forwarding Egress Routers (BFER), and hop-by-hop forwarding uses a
>    Routing Underlay such as an IGP.
> 
>    In BIER-TE, BitPositions indicate adjacencies.  The BIFT of each BFR
>    are only populated with BPs that are adjacent to the BFR in the BIER-
>    TE topology.  The BIER-TE topology can consist of layer 2 or remote
>    (routed) adjacencies.  The BFR then replicates and forwards BIER
>    packets to those adjacencies.  This results in the aforementioned
>    strict and loose path steering and replications.
> 
>    BIER-TE can co-exist with BIER forwarding in the same domain, for
>    example by using separate BIER sub-domains.  In the absence of routed
>    adjacencies, BIER-TE does not require a BIER routing underlay, and
>    can then be operated without requiring an Interior Gateway Routing
>    protocol (IGP).
> 
>    BIER-TE operates without explicit in-network tree-state and carries
>    the multicast distribution tree in the packet header.  It can
>    therefore be a good fit to support multicast path steering in Segment
>    Routing (SR) networks.
> 
>                                                                                   
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat